Skip to main content
GET
Get the name of the readme file in a project's git repository

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

projectId
string
required

ID of the project the repository belongs to

repositoryId
string
required

ID of the repository being queried. Use _ to refer to the project's main repository.

Query Parameters

directory
string

Directory within the repository to look in. Defaults to the repository root.

branchName
string

Branch to read the directory from. Defaults to the project's default git branch.

commit
string

Commit SHA to read the directory at. Takes precedence over branchName.

Response

Success

metadata
object
required
readmeFileName
string

Name of the readme file as the repository spells it. Omitted when the directory has no readme.

Last modified on September 3, 2026